- Qt 6.4
- Qt Quick 3D Physics
- QML Types
- CollisionShape
- Qt Quick 3D Physics | Commercial or GPLv3

# CollisionShape QML Type

Base type for collision shapes. More...

Import Statement: | import QtQuick3DPhysics
Since: | Qt 6.4
Inherited By: | BoxShape, CapsuleShape, ConvexMeshShape, HeightFieldShape, PlaneShape, SphereShape, and TriangleMeshShape

- List of all members, including inherited members

## Properties

- enableDebugView : bool

## Detailed Description

This is the base type for all collision shapes.

## Property Documentation

enableDebugView : bool

This property enables drawing the shape's debug view.